<ion-header class="header-shadow">
  <ion-toolbar mode="ios" class="header-page" color="light">
    <ion-buttons class="btn-back" slot="start">
      <ion-button (click)="cancel()">
        <ion-icon slot="icon-only" name="close"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>
      Lịch sử mua point
    </ion-title>
  </ion-toolbar>
</ion-header>
<ion-content class="background-content ">
  <ion-grid fixed class="ion-no-padding">
    <ion-refresher slot="fixed" pullFactor="0.5" pullMin="100" pullMax="200" (ionRefresh)="doRefresh($event)">
      <ion-refresher-content>
      </ion-refresher-content>
    </ion-refresher>
    <ion-list *ngIf="data" class="raovat-list">
      <ion-item *ngFor="let item of data">
        <ion-row class="w-100p">
          <ion-row class="d-flex flex-wrap-nowrap w-100p mt-8">
            <ion-label class="d-block wordWrap text-normal">
              {{this.commonMethodsTs.convertDate(this.commonMethodsTs.getData(item, 'NgayTao', ''), 'dd/MM/yyyy')}}
              -
              {{this.typeHistoryPoint[item.Type || 0]}}
              <span class="text-bold">{{this.commonMethodsTs.getData(item, 'Point', '')}}
                point</span>
              -
              Rate: {{this.commonMethodsTs.getData(item, 'Rate', "Chưa xác định")}}
            </ion-label>
            <ion-label class="ml-auto" *ngIf="item.Type == 1 || item.Type == 2 || item.Type == 3">
              <ion-icon color="success" name="arrow-round-up"></ion-icon>
            </ion-label>
            <ion-label class="ml-auto" *ngIf="item.Type == 4">
              <ion-icon color="danger" name="arrow-round-down"></ion-icon>
            </ion-label>
          </ion-row>
          <ion-row class="my-8">
            <span>Ghi chú: </span> <span [innerHTML]="item.Note"></span>
          </ion-row>
        </ion-row>
      </ion-item>
      <ion-item class="ion-padding raovat-item emptymessage" *ngIf="data.length == 0">
        Không tìm thấy dữ liệu
      </ion-item>
    </ion-list>
    <ion-list *ngIf="!data" class="raovat-list">
      <ion-item class="raovat-item">
        <div class="raovat-box">
          <div class="raovat-avatar">

          </div>
          <div class="raovat-info">
            <h3 class="title">
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </h3>
            <span>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </span>

            <div class="info-bottom">
              <p class="info-bottom-item">
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </p>

            </div>
          </div>
        </div>
      </ion-item>
      <ion-item class="raovat-item">
        <div class="raovat-box">
          <div class="raovat-avatar">

          </div>
          <div class="raovat-info">
            <h3 class="title">
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </h3>
            <span>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </span>

            <div class="info-bottom">
              <p class="info-bottom-item">
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </p>

            </div>
          </div>
        </div>
      </ion-item>
      <ion-item class="raovat-item">
        <div class="raovat-box">
          <div class="raovat-avatar">

          </div>
          <div class="raovat-info">
            <h3 class="title">
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </h3>
            <span>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </span>

            <div class="info-bottom">
              <p class="info-bottom-item">
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </p>

            </div>
          </div>
        </div>
      </ion-item>
      <ion-item class="raovat-item">
        <div class="raovat-box">
          <div class="raovat-avatar">

          </div>
          <div class="raovat-info">
            <h3 class="title">
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </h3>
            <span>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </span>

            <div class="info-bottom">
              <p class="info-bottom-item">
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </p>

            </div>
          </div>
        </div>
      </ion-item>
      <ion-item class="raovat-item">
        <div class="raovat-box">
          <div class="raovat-avatar">

          </div>
          <div class="raovat-info">
            <h3 class="title">
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </h3>
            <span>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </span>

            <div class="info-bottom">
              <p class="info-bottom-item">
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </p>

            </div>
          </div>
        </div>
      </ion-item>
    </ion-list>
    <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
      <ion-infinite-scroll-content></ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </ion-grid>

</ion-content>